package sun.management.snmp.jvmmib;

import java.util.Hashtable;
import java.io.Serializable;
import com.sun.jmx.snmp.Enumerated;

public class EnumJvmMemoryGCCall extends Enumerated implements Serializable
{
    static final long serialVersionUID = -2869147994287351375L;
    protected static Hashtable<Integer, String> intTable;
    protected static Hashtable<String, Integer> stringTable;
    
    public EnumJvmMemoryGCCall(int n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemoryGCCall(Integer n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemoryGCCall() throws IllegalArgumentException {
    }
    
    public EnumJvmMemoryGCCall(String s) throws IllegalArgumentException {
        super(s);
    }
    
    protected Hashtable<Integer, String> getIntTable() {
        return EnumJvmMemoryGCCall.intTable;
    }
    
    protected Hashtable<String, Integer> getStringTable() {
        return EnumJvmMemoryGCCall.stringTable;
    }
    
    static {
        EnumJvmMemoryGCCall.intTable = new Hashtable();
        EnumJvmMemoryGCCall.stringTable = new Hashtable();
        EnumJvmMemoryGCCall.intTable.put(new Integer(2), "supported");
        EnumJvmMemoryGCCall.intTable.put(new Integer(5), "failed");
        EnumJvmMemoryGCCall.intTable.put(new Integer(4), "started");
        EnumJvmMemoryGCCall.intTable.put(new Integer(1), "unsupported");
        EnumJvmMemoryGCCall.intTable.put(new Integer(3), "start");
        EnumJvmMemoryGCCall.stringTable.put("supported", new Integer(2));
        EnumJvmMemoryGCCall.stringTable.put("failed", new Integer(5));
        EnumJvmMemoryGCCall.stringTable.put("started", new Integer(4));
        EnumJvmMemoryGCCall.stringTable.put("unsupported", new Integer(1));
        EnumJvmMemoryGCCall.stringTable.put("start", new Integer(3));
    }
}
